create table PERSON (id integer, name varchar2(250));
create table ACCOUNT (id integer, person_id integer, amount number(17,3));

insert into PERSON values(1, 'Smith');
insert into PERSON values(2, 'Brown');

insert into ACCOUNT values(1, 1, 50.0);
insert into ACCOUNT values(2, 2, 100.0);

commit;

create or replace procedure TransferAmount(nFromAccount integer, nToAccount integer, fAmount number)
is
begin
     update ACCOUNT set AMOUNT=AMOUNT-fAmount where ID=nFromAccount;
     update ACCOUNT set AMOUNT=AMOUNT+fAmount where ID=nToAccount;
     for cur in (select * from ACCOUNT where AMOUNT<0 and ID=nFromAccount) loop
        RAISE_APPLICATION_ERROR(-20103, '    #'||nFromAccount||': '||(cur.amount+fAmount));
     end loop;
end;
/